<?php
include "calendrier.inc.php";

/*
Plugin Name: Folder Calendar
Version: 0.1
Description: Folder Calendar
Plugin URI: 
*/
global $conf, $prefixeTable,$user;
 define('FOLDER_CALENDAR_ID', basename(dirname(__FILE__)));
define('FOLDER_CALENDAR_PATH',    PHPWG_PLUGINS_PATH . FOLDER_CALENDAR_ID . '/');
define('FOLDER_CALENDAR_TABLE',   $prefixeTable . 'Folder_Calendar_date');
define('FOLDER_CALENDAR_ADMIN',   get_root_url() . 'admin.php?page=plugin-' . FOLDER_CALENDAR_ID);
define('FOLDER_CALENDAR_VERSION', '0.1');
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


//Evennement lors d'affichage du menu admin via la méthode plugin_admin_menu

//ajout du menus calendrier
add_event_handler('blockmanager_register_blocks', array(&$obj,'register_ap_menubar_blocks'));

add_event_handler('blockmanager_apply', array(&$obj,'ap_apply') );

//action lors de la suppression d'un catalogue
//add_event_handler('delete_categories', array(&$obj,'plugin_del_cat') );

//add_event_handler('delete_categories', array(&$obj,'plugin_del_cat') );
//action lors d'une modification du catalogue
//add_event_handler('loc_begin_cat_modify', array(&$obj,'plugin_modify_cat') );

if (defined('IN_ADMIN'))
{
 include_once(FOLDER_CALENDAR_PATH.'include/events_admin.inc.php');
 add_event_handler('loc_begin_cat_list',  array(&$obj,'show_cat_list'));
 add_event_handler('tabsheet_before_select','calendar_folder_tab', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') );
}

if (mobile_theme())
{
  return;
}
//define('AP_DIR' , dirname(__FILE__));
//define('AP_PATH' , PHPWG_PLUGINS_PATH . AP_DIR . '/');
class Calendrier
{
	var $my_config;
	//Méthode de chargement de la configuration
    function load_config()
    {
        $x = @file_get_contents( dirname(__FILE__).'/data.dat' );
        if ($x!==false)
        {
			//Récupére les informations présent dans le fichier .dat
            $c = unserialize($x);
            // do some more tests here
            $this->my_config = $c;
        }
		// Si la valeur n'est pas mis à jour
        if ( !isset($this->my_config)
            or empty($this->my_config['TestPlugin']) )
        {
			//on pose comme valeur blabla
            $this->my_config['TestPlugin'] = 'blabla';
			//Sauvegarde des données
            $this->save_config();
        }
    }
	
	//Méthode de sauvegarde de la configuration
    function save_config()
    {
        $file = fopen( dirname(__FILE__).'/data.dat', 'w' );
        fwrite($file, serialize($this->my_config) );
        fclose( $file );
    }

	//Méthode de création du menu admin
    function plugin_admin_menu($menu)
    {
        array_push($menu,
            array(
                'NAME' => 'Calendrier',
                'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/calendrier_admin.php')
            )
        );
        return $menu;
    }

	//Méthode appeller lors d'une modification de catégorie
    function plugin_modify_cat($category_ids)
    {
	
	//	 $query = '
//DELETE
//  FROM '.FOLDER_CALENDAR_TABLE.'
//  WHERE Catid IN ('.implode(',', $category_ids).')
//;';
 // pwg_query($query);
 // community_update_cache_key();
    }

	//Méthode appeller lors d'une suppression de catégorie
    function plugin_del_cat($category_ids)
    {
		 $query = '
DELETE
  FROM '.FOLDER_CALENDAR_TABLE.'
  WHERE Catid IN ('.implode(',', $category_ids).')
;';
 // pwg_query($query);
  community_update_cache_key();
    }

	// Méthode modifiant la barre de menu  
    function register_ap_menubar_blocks($menu_ref_arr)
    {
	  global $conf, $user;

	  $menu = & $menu_ref_arr[0];
 	 if ($menu->get_id() != 'menubar') return;

	 //Recupére la langue
  	//$conf['AP']['block_title'] = isset($conf['AP']['languages'][$user['language']]) ?
    	//$conf['AP']['languages'][$user['language']] : @$conf['AP']['languages']['default'];

  	//if (empty($conf['AP']['block_title']))
   	// $conf['AP']['block_title'] = 'Calendrier';
	//Ajout d'un nouveau menu valendrier
  	$menu->register_block( new RegisteredBlock( 'mbcalendrier','Calendrier', 'Calendrier'));
    }

	//Ajout d'une méthode 
    function ap_apply($menu_ref_arr)
    {
 	 global $template, $conf, $user;

  	$menu = & $menu_ref_arr[0];
  
  	if ( ($block = $menu->get_block( 'mbcalendrier' ) ) != null )
  	{
	
		$contenue = showCalendar(date("Y-m-d",time()));
		$contenue .= "<br><a href=\"\"?liste.php>" . "Tout Afficher" . "</a>";
		$block->data = $contenue;
		$template->set_template_dir(PHPWG_PLUGINS_PATH .'/Calendrier/'.'template/');
			$block->set_title('Calendrier');
			$block->template = 'menubar_calendrier.tpl';
		}
    }



	
}

$obj = new Calendrier();
$obj->load_config();



set_plugin_data($plugin['id'], $obj)


?>
